pion::ihash Struct Reference

`#include <hash_map.hpp>`

Inherits unary_function< std::string, std::size_t >.

## Public Member Functions

std::size_t | operator() (std::string const &x) const

## Detailed Description

case insensitive hash generic function copied from boost.unordered hash_equality documentation http://www.boost.org/doc/libs/1_50_0/doc/html/unordered/hash_equality.html

Definition at line 82 of file hash_map.hpp.

The documentation for this struct was generated from the following file:

- include/pion/hash_map.hpp